List webhook subscriptions
curl --request GET \
--url https://api.interchange.io/api/v2/buyer/webhook-subscriptions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/buyer/webhook-subscriptions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/buyer/webhook-subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"subscriptions": [
{
"id": "<string>",
"url": "<string>",
"eventTypes": [
"discovery.revision"
],
"failureCount": 4503599627370495,
"lastSuccess": "<string>",
"lastFailure": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
]
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Webhook Subscriptions
List webhook subscriptions
List the authenticated customer’s webhook subscriptions.
GET
/
webhook-subscriptions
List webhook subscriptions
curl --request GET \
--url https://api.interchange.io/api/v2/buyer/webhook-subscriptions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/buyer/webhook-subscriptions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/buyer/webhook-subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"subscriptions": [
{
"id": "<string>",
"url": "<string>",
"eventTypes": [
"discovery.revision"
],
"failureCount": 4503599627370495,
"lastSuccess": "<string>",
"lastFailure": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
]
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}⌘I